<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width">
    <title>CSS Acrylic Backdrop Example</title>

    <link href="https://necolas.github.io/normalize.css/latest/normalize.css" rel="stylesheet" type="text/css" />

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui-touch-punch/0.2.3/jquery.ui.touch-punch.min.js"></script>

    <link rel="stylesheet" type="text/css" href="../css-acrylic-backdrop/css-acrylic-backdrop.css" />
    <link rel="stylesheet" type="text/css" href="style.css" />

    <script src="script.js"></script>
  </head>

  <body>
    <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
      <h1>CSS Acrylic Backdrop</h1>
      <p>Secondary-click (right click/long touch) the examples to enable resize/drag</p>
      <button id="random-bg" onclick="document.body.style.backgroundImage = 'url(https://picsum.photos/' + window.innerWidth + '/' + window.innerHeight + '?random=' + (Math.floor(Math.random() * 1000) + 1) + ')'">random background</button>
    </header>

    <main>
      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>general</h2>
          <p>Double-click the editable example to edit it</p>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic">
            <p>default</p>
            <p><em>abd-luminosity-65</em><br><em>abd-blur-25</em><br><em>abd-noise-3</em><br><em>abd-color-opacity-0</em><br><em>abd-color-hue-0</em></p>
          </div>
          <div id="editable" class="example abd-acrylic" data-classname="abd-luminosity-25 abd-blur-40 abd-noise-5 abd-color-opacity-15 abd-color-hue-80">
            <p>editable</p>
            <p id="editable-classname"></p>
          </div>
        </div>
      </section>

      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>blur size variants</h2>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic abd-blur-0"><p>abd-blur-0</p></div>
          <div class="example abd-acrylic abd-blur-5"><p>abd-blur-5</p></div>
          <div class="example abd-acrylic abd-blur-10"><p>abd-blur-10</p></div>
          <div class="example abd-acrylic abd-blur-15"><p>abd-blur-15</p></div>
          <div class="example abd-acrylic abd-blur-20"><p>abd-blur-20</p></div>
          <div class="example abd-acrylic abd-blur-25"><p>abd-blur-25</p></div>
          <div class="example abd-acrylic abd-blur-30"><p>abd-blur-30</p></div>
          <div class="example abd-acrylic abd-blur-35"><p>abd-blur-35</p></div>
          <div class="example abd-acrylic abd-blur-40"><p>abd-blur-40</p></div>
          <div class="example abd-acrylic abd-blur-45"><p>abd-blur-45</p></div>
          <div class="example abd-acrylic abd-blur-50"><p>abd-blur-50</p></div>
          <div class="example abd-acrylic abd-blur-55"><p>abd-blur-55</p></div>
          <div class="example abd-acrylic abd-blur-60"><p>abd-blur-60</p></div>
          <div class="example abd-acrylic abd-blur-65"><p>abd-blur-65</p></div>
          <div class="example abd-acrylic abd-blur-70"><p>abd-blur-70</p></div>
          <div class="example abd-acrylic abd-blur-75"><p>abd-blur-75</p></div>
        </div>
      </section>

      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>noise opacity variants</h2>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic abd-noise-0"><p>abd-noise-0</p></div>
          <div class="example abd-acrylic abd-noise-1"><p>abd-noise-1</p></div>
          <div class="example abd-acrylic abd-noise-2"><p>abd-noise-2</p></div>
          <div class="example abd-acrylic abd-noise-3"><p>abd-noise-3</p></div>
          <div class="example abd-acrylic abd-noise-4"><p>abd-noise-4</p></div>
          <div class="example abd-acrylic abd-noise-5"><p>abd-noise-5</p></div>
          <div class="example abd-acrylic abd-noise-6"><p>abd-noise-6</p></div>
          <div class="example abd-acrylic abd-noise-7"><p>abd-noise-7</p></div>
          <div class="example abd-acrylic abd-noise-8"><p>abd-noise-8</p></div>
          <div class="example abd-acrylic abd-noise-9"><p>abd-noise-9</p></div>
          <div class="example abd-acrylic abd-noise-10"><p>abd-noise-10</p></div>
          <div class="example abd-acrylic abd-noise-11"><p>abd-noise-11</p></div>
          <div class="example abd-acrylic abd-noise-12"><p>abd-noise-12</p></div>
          <div class="example abd-acrylic abd-noise-13"><p>abd-noise-13</p></div>
          <div class="example abd-acrylic abd-noise-14"><p>abd-noise-14</p></div>
          <div class="example abd-acrylic abd-noise-15"><p>abd-noise-15</p></div>
        </div>
      </section>

      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>luminosity variants</h2>
          <p><em>abd-luminosity-5</em> = +50% black</p>
          <p><em>abd-luminosity-25</em> = no modification</p>
          <p><em>abd-luminosity-75</em> = +50% white</p>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic abd-luminosity-10"><p>abd-luminosity-10</p></div>
          <div class="example abd-acrylic abd-luminosity-15"><p>abd-luminosity-15</p></div>
          <div class="example abd-acrylic abd-luminosity-20"><p>abd-luminosity-20</p></div>
          <div class="example abd-acrylic abd-luminosity-25"><p>abd-luminosity-25</p></div>
          <div class="example abd-acrylic abd-luminosity-30"><p>abd-luminosity-30</p></div>
          <div class="example abd-acrylic abd-luminosity-35"><p>abd-luminosity-35</p></div>
          <div class="example abd-acrylic abd-luminosity-40"><p>abd-luminosity-40</p></div>
          <div class="example abd-acrylic abd-luminosity-45"><p>abd-luminosity-45</p></div>
          <div class="example abd-acrylic abd-luminosity-50"><p>abd-luminosity-50</p></div>
          <div class="example abd-acrylic abd-luminosity-55"><p>abd-luminosity-55</p></div>
          <div class="example abd-acrylic abd-luminosity-60"><p>abd-luminosity-60</p></div>
          <div class="example abd-acrylic abd-luminosity-65"><p>abd-luminosity-65</p></div>
          <div class="example abd-acrylic abd-luminosity-70"><p>abd-luminosity-70</p></div>
          <div class="example abd-acrylic abd-luminosity-75"><p>abd-luminosity-75</p></div>
          <div class="example abd-acrylic abd-luminosity-80"><p>abd-luminosity-80</p></div>
          <div class="example abd-acrylic abd-luminosity-85"><p>abd-luminosity-85</p></div>
          <div class="example abd-acrylic abd-luminosity-90"><p>abd-luminosity-90</p></div>
        </div>
      </section>

      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>color opacity variants</h2>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic abd-color-opacity-0"><p>abd-color-opacity-0</p></div>
          <div class="example abd-acrylic abd-color-opacity-5"><p>abd-color-opacity-5</p></div>
          <div class="example abd-acrylic abd-color-opacity-10"><p>abd-color-opacity-10</p></div>
          <div class="example abd-acrylic abd-color-opacity-15"><p>abd-color-opacity-15</p></div>
          <div class="example abd-acrylic abd-color-opacity-20"><p>abd-color-opacity-20</p></div>
          <div class="example abd-acrylic abd-color-opacity-25"><p>abd-color-opacity-25</p></div>
          <div class="example abd-acrylic abd-color-opacity-30"><p>abd-color-opacity-30</p></div>
          <div class="example abd-acrylic abd-color-opacity-35"><p>abd-color-opacity-35</p></div>
          <div class="example abd-acrylic abd-color-opacity-40"><p>abd-color-opacity-40</p></div>
          <div class="example abd-acrylic abd-color-opacity-45"><p>abd-color-opacity-45</p></div>
          <div class="example abd-acrylic abd-color-opacity-50"><p>abd-color-opacity-50</p></div>
        </div>
      </section>

      <section>
        <header class="abd-acrylic abd-luminosity-20 abd-blur-40">
          <h2>color hue variants</h2>
        </header>

        <div class="examples-container">
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-0"><p>abd-color-opacity-15<br>abd-color-hue-0</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-20"><p>abd-color-opacity-15<br>abd-color-hue-20</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-40"><p>abd-color-opacity-15<br>abd-color-hue-40</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-60"><p>abd-color-opacity-15<br>abd-color-hue-60</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-80"><p>abd-color-opacity-15<br>abd-color-hue-80</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-100"><p>abd-color-opacity-15<br>abd-color-hue-100</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-120"><p>abd-color-opacity-15<br>abd-color-hue-120</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-140"><p>abd-color-opacity-15<br>abd-color-hue-140</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-160"><p>abd-color-opacity-15<br>abd-color-hue-160</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-180"><p>abd-color-opacity-15<br>abd-color-hue-180</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-200"><p>abd-color-opacity-15<br>abd-color-hue-200</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-220"><p>abd-color-opacity-15<br>abd-color-hue-220</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-240"><p>abd-color-opacity-15<br>abd-color-hue-240</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-260"><p>abd-color-opacity-15<br>abd-color-hue-260</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-280"><p>abd-color-opacity-15<br>abd-color-hue-280</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-300"><p>abd-color-opacity-15<br>abd-color-hue-300</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-320"><p>abd-color-opacity-15<br>abd-color-hue-320</p></div>
          <div class="example abd-acrylic abd-color-opacity-15 abd-color-hue-340"><p>abd-color-opacity-15<br>abd-color-hue-340</p></div>
        </div>
      </section>
    </main>

    <aside id="container"></aside>

    <footer class="abd-acrylic abd-luminosity-20 abd-blur-40">
      <p>original background image by <a href="https://twitter.com/Neozetare" target="_blank">@Neozetare</a></p>
      <p>random background images from <a href="https://unsplash.com/" target="_blank">Unsplash</a> via <a href="https://picsum.photos/" target="_blank">Lorem Picsum</a></p>
    </footer>
  </body>
</html>